com.independentsoft.exchange

## Class ItemPropertyPath

- java.lang.Object
- - com.independentsoft.exchange.ItemPropertyPath

- Direct Known Subclasses:
    AppointmentPropertyPath, ContactPropertyPath, DistributionListPropertyPath, JournalPropertyPath, MessagePropertyPath, NotePropertyPath, PostPropertyPath, TaskPropertyPath

      public class ItemPropertyPath
      extends java.lang.Object

  The Class ItemPropertyPath.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static UnindexedPropertyPath` | `ARCHIVE_TAG`
    `static UnindexedPropertyPath` | `ATTACHMENTS`
    `static UnindexedPropertyPath` | `BLOCK_STATUS`
    `static UnindexedPropertyPath` | `BODY`
    `static PropertyTag` | `BODY_HTML_TEXT`
    `static PropertyTag` | `BODY_PLAIN_TEXT`
    `static UnindexedPropertyPath` | `CATEGORIES`
    `static PropertyTag` | `COMMENT`
    `static UnindexedPropertyPath` | `CONVERSATION_ID`
    `static UnindexedPropertyPath` | `CREATED_TIME`
    `static UnindexedPropertyPath` | `CULTURE`
    `static PropertyTag` | `DISPLAY_NAME`
    `static UnindexedPropertyPath` | `EFFECTIVE_RIGHTS`
    `static UnindexedPropertyPath` | `ENTITY_EXTRACTION_RESULT`
    `static PropertyTag` | `ENTRY_ID`
    `static UnindexedPropertyPath` | `FLAG`
    `static UnindexedPropertyPath` | `GROUPING_ACTION`
    `static UnindexedPropertyPath` | `HAS_ATTACHMENTS`
    `static UnindexedPropertyPath` | `HAS_BLOCKED_IMAGES`
    `static UnindexedPropertyPath` | `ICON_INDEX`
    `static UnindexedPropertyPath` | `IMPORTANCE`
    `static UnindexedPropertyPath` | `INSTANCE_KEY`
    `static UnindexedPropertyPath` | `IS_ASSOCIATED`
    `static PropertyTag` | `IS_HIDDEN`
    `static UnindexedPropertyPath` | `ITEM_CLASS`
    `static UnindexedPropertyPath` | `ITEM_ID`
    `static UnindexedPropertyPath` | `LAST_MODIFIED_TIME`
    `static UnindexedPropertyPath` | `LAST_MODIFIER_NAME`
    `static UnindexedPropertyPath` | `MIME_CONTENT`
    `static UnindexedPropertyPath` | `NEXT_PREDICTED_ACTION`
    `static UnindexedPropertyPath` | `PARENT_ID`
    `static UnindexedPropertyPath` | `PREVIEW`
    `static UnindexedPropertyPath` | `REMINDER_DUE_BY`
    `static UnindexedPropertyPath` | `REMINDER_IS_SET`
    `static UnindexedPropertyPath` | `REMINDER_MINUTES_BEFORE_START`
    `static UnindexedPropertyPath` | `RETENTION_DATE`
    `static UnindexedPropertyPath` | `RETENTION_TAG`
    `static PropertyTag` | `SEARCH_KEY`
    `static UnindexedPropertyPath` | `SENSITIVITY`
    `static UnindexedPropertyPath` | `SIZE`
    `static UnindexedPropertyPath` | `STORE_ENTRY_ID`
    `static UnindexedPropertyPath` | `SUBJECT`
    `static UnindexedPropertyPath` | `TEXT_BODY`
    `static UnindexedPropertyPath` | `UNIQUE_BODY`
    `static UnindexedPropertyPath` | `WEB_CLIENT_EDIT_FORM_QUERY_STRING`
    `static UnindexedPropertyPath` | `WEB_CLIENT_READ_FORM_QUERY_STRING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.List<PropertyPath>` | `getAllPropertyPaths()` Gets the all property paths.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ITEM_ID

          public static final UnindexedPropertyPath ITEM_ID

    - #### PARENT_ID

          public static final UnindexedPropertyPath PARENT_ID

    - #### ITEM_CLASS

          public static final UnindexedPropertyPath ITEM_CLASS

    - #### SUBJECT

          public static final UnindexedPropertyPath SUBJECT

    - #### MIME_CONTENT

          public static final UnindexedPropertyPath MIME_CONTENT

    - #### SENSITIVITY

          public static final UnindexedPropertyPath SENSITIVITY

    - #### BODY

          public static final UnindexedPropertyPath BODY

    - #### ATTACHMENTS

          public static final UnindexedPropertyPath ATTACHMENTS

    - #### SIZE

          public static final UnindexedPropertyPath SIZE

    - #### CATEGORIES

          public static final UnindexedPropertyPath CATEGORIES

    - #### IMPORTANCE

          public static final UnindexedPropertyPath IMPORTANCE

    - #### CREATED_TIME

          public static final UnindexedPropertyPath CREATED_TIME

    - #### HAS_ATTACHMENTS

          public static final UnindexedPropertyPath HAS_ATTACHMENTS

    - #### CULTURE

          public static final UnindexedPropertyPath CULTURE

    - #### EFFECTIVE_RIGHTS

          public static final UnindexedPropertyPath EFFECTIVE_RIGHTS

    - #### LAST_MODIFIER_NAME

          public static final UnindexedPropertyPath LAST_MODIFIER_NAME

    - #### LAST_MODIFIED_TIME

          public static final UnindexedPropertyPath LAST_MODIFIED_TIME

    - #### DISPLAY_NAME

          public static final PropertyTag DISPLAY_NAME

    - #### ENTRY_ID

          public static final PropertyTag ENTRY_ID

    - #### SEARCH_KEY

          public static final PropertyTag SEARCH_KEY

    - #### BODY_HTML_TEXT

          public static final PropertyTag BODY_HTML_TEXT

    - #### BODY_PLAIN_TEXT

          public static final PropertyTag BODY_PLAIN_TEXT

    - #### IS_HIDDEN

          public static final PropertyTag IS_HIDDEN

    - #### IS_ASSOCIATED

          public static final UnindexedPropertyPath IS_ASSOCIATED

    - #### WEB_CLIENT_READ_FORM_QUERY_STRING

          public static final UnindexedPropertyPath WEB_CLIENT_READ_FORM_QUERY_STRING

    - #### WEB_CLIENT_EDIT_FORM_QUERY_STRING

          public static final UnindexedPropertyPath WEB_CLIENT_EDIT_FORM_QUERY_STRING

    - #### CONVERSATION_ID

          public static final UnindexedPropertyPath CONVERSATION_ID

    - #### UNIQUE_BODY

          public static final UnindexedPropertyPath UNIQUE_BODY

    - #### STORE_ENTRY_ID

          public static final UnindexedPropertyPath STORE_ENTRY_ID

    - #### COMMENT

          public static final PropertyTag COMMENT

    - #### REMINDER_DUE_BY

          public static final UnindexedPropertyPath REMINDER_DUE_BY

    - #### REMINDER_IS_SET

          public static final UnindexedPropertyPath REMINDER_IS_SET

    - #### REMINDER_MINUTES_BEFORE_START

          public static final UnindexedPropertyPath REMINDER_MINUTES_BEFORE_START

    - #### FLAG

          public static final UnindexedPropertyPath FLAG

    - #### INSTANCE_KEY

          public static final UnindexedPropertyPath INSTANCE_KEY

    - #### RETENTION_TAG

          public static final UnindexedPropertyPath RETENTION_TAG

    - #### ARCHIVE_TAG

          public static final UnindexedPropertyPath ARCHIVE_TAG

    - #### RETENTION_DATE

          public static final UnindexedPropertyPath RETENTION_DATE

    - #### PREVIEW

          public static final UnindexedPropertyPath PREVIEW

    - #### NEXT_PREDICTED_ACTION

          public static final UnindexedPropertyPath NEXT_PREDICTED_ACTION

    - #### GROUPING_ACTION

          public static final UnindexedPropertyPath GROUPING_ACTION

    - #### BLOCK_STATUS

          public static final UnindexedPropertyPath BLOCK_STATUS

    - #### HAS_BLOCKED_IMAGES

          public static final UnindexedPropertyPath HAS_BLOCKED_IMAGES

    - #### TEXT_BODY

          public static final UnindexedPropertyPath TEXT_BODY

    - #### ICON_INDEX

          public static final UnindexedPropertyPath ICON_INDEX

    - #### ENTITY_EXTRACTION_RESULT

          public static final UnindexedPropertyPath ENTITY_EXTRACTION_RESULT

  - ### Method Detail

    - #### getAllPropertyPaths

          public static java.util.List<PropertyPath> getAllPropertyPaths()

      Gets the all property paths.
      Returns:
        the all property paths